Subject: Re: Linking an existing DLL
From: Oliver Nittka <[email-masked]>
To: [email-masked]
Date: 17 Mar 2000 10:12:21 +0100

"Joan M. Moss" <[email-masked]> writes:

> \WINNT\system32\   I do not have the source for the DLL so I can NOT
> build the DLL on cygwin B20.1.  However, I would like to access it under
> cygwin B20.1.  Is this possible?

with the cygwin-1.0CD (and very likely with the latest snapshots, too)
i succeeded with just linking in the DLL in question like that:

probe: probe.c 
    $(CC) $(CFLAGS) -o probe probe.c /cygdrive/d/WINNT/foreign.dll

however, if the functions in the DLL are _stdcall, but they are
exported without the decoration (without ..@nn), you've got to create
an import-library manually.

contact me, if the above gives errors like

  undefined reference to `SomeFunction@8'

hth
  -- oly
-- 
Oliver Nittka              | [email-masked]
ESEM Grünau GmbH & Co. KG  | http://www.esem.com
Dornierstraße 6            | phone: +49 7544 9583-25
88677 Markdorf / Germany   | fax:   +49 7544 9583-60

--
Want to unsubscribe from this list?
Send a message to [email-masked]